Bug 113818 - FILEOPEN: PPTX: Swivel animation is incorrect
Summary: FILEOPEN: PPTX: Swivel animation is incorrect
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords: filter:pptx
Depends on:
Blocks: PPTX Custom-Animations
  Show dependency treegraph
 
Reported: 2017-11-14 10:06 UTC by Xisco Faulí
Modified: 2018-07-26 09:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
swivel animation (32.82 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-11-14 10:06 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-11-14 10:06:58 UTC
Created attachment 137740 [details]
swivel animation

Steps to reproduce:
1. Open attached document
2. Pres F5

Observed behaviour: Swivel animation has incorrect size after it ends.

Reproduced in

Version: 6.0.0.0.alpha1+
Build ID: a7f961ddd88df4117de5f7c199881cf75d2905b5
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: th-TH (ca_ES.UTF-8); Calc: group

and

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 1 Buovjaga 2017-11-16 10:30:24 UTC
Repro.

3.3 crashes, so earliest test 3.6.7

Arch Linux 64-bit
Version: 6.0.0.0.alpha1+
Build ID: 121303615054568c204def97872343d2014af4a0
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 16th 2017

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 2 Commit Notification 2018-07-24 10:12:32 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0bc245ede6ec5831561e950299071f57b0329da8

tdf#113818 convert formula of AnimContext.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.